function [Y_k] = extract_y(A,ypm)
% [Y_k] = extract_y(A,ypm) returns the preconditioner Y_k for
% the matrix A corresponding to the linear programming solution
% ypm.
n = size(A,2);
Y_k = (ypm(1:n) - ypm(n+1:2*n))';
end