function [A,b,x] = new_s_example_5()
% [A,b,x] = new_s_example_5() returns the fifth test of 
% C_LP_def.m in the matrix A and the vector b;
% This is the example on p. 1212 of "Rigorous Global Search:
% Continuous Problems" (Kearfott, 1996)  It corresponds to
% the Jacobi matrix for Brown's almost linear function at
% x and the function itself evaluated at the midpoint of x (for
% b).
% RBK 11/15/2005
A = [infsup(0,1),infsup(-1,0), midrad(0,0);
     midrad(0,0),infsup( 0,1), infsup(-1,0);
     midrad(-1,0),midrad(0,0),midrad(1,0)];
 
b = [midrad(-.25,0); midrad(-.25,0);midrad(0,0)];

x = [infsup(-.5,.5),infsup(-.5,.5),infsup(-.5,.5)]';